﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class LicensedSiteCollection : List<LicensedSite>
	{
		#region Database methods
		// Database methods

		public static List<LicensedSite> LoadByLicenseInfoID(int licenseInfoID)
		{
			return new Query().Where(db.LicensedSite.LicenseInfoID, licenseInfoID).Take(1000).ToList<LicensedSite>();
		}

		public static List<LicensedSite> LoadBySiteAddress(string siteAddress)
		{
			return new Query().Where(db.LicensedSite.SiteAddress, siteAddress).Take(1000).ToList<LicensedSite>();
		}

		#endregion

	}
}
