﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;
using System.Linq;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class ProductInCampaign
	{
		#region Public properties

		private Product mProduct = null;

		public Product Product2
		{
			get
			{
				if (mProduct == null)
				{
					mProduct = new Product();
					mProduct.LoadFromDB(this.ProductID);
				}
				return mProduct;
			}
		}

		#endregion

		public static ProductInCampaign LoadByCampaignIDAndProductID(int campaignID, int productID)
		{
			return new Query()
			.Where(db.ProductInCampaign.CampaignID, campaignID)
			.Where(db.ProductInCampaign.ProductID, productID)
			.ToList<ProductInCampaign>().FirstOrDefault();
		}

		public static bool DeleteByProductIDAndCampaignID(int productID, int campaignID)
		{
			return new Query().Delete(db.ProductInCampaign)
			.Where(db.ProductInCampaign.ProductID, productID)
			.Where(db.ProductInCampaign.CampaignID, campaignID)
			.ExecuteNonQuery<ProductInCampaign>() > 0;
		}

	}

}
