﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class ProductInCategoryCollection
	{
		#region Database methods
		// Database methods

		public static List<ProductInCategory> LoadByProductID(int productID)
		{
			return new Query()
			.Where(db.ProductInCategory.ProductID, productID)
			.Take(1000)
			.ToList<ProductInCategory>();
		}

		public int DeleteByCategoryID(int categoryID)
		{
			return new Query().Delete(db.ProductInCategory)
			.Where(db.ProductInCategory.CategoryID, categoryID)
			.ExecuteNonQuery<ProductInCategory>();
		}

		public int DeleteByProductID(int productID)
		{
			return new Query().Delete(db.ProductInCategory)
			.Where(db.ProductInCategory.ProductID, productID)
			.ExecuteNonQuery<ProductInCategory>();
		}


		#endregion
	}
}
