﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity;
using Ice.Orm.Core.Criteria;
using System.Linq;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class WebPageInCampaign
	{
		#region Database methods
		// Database methods

		public static WebPageInCampaign LoadByWebPageIDAndCampaignID(int webPageID, int campaignID)
		{
			return new Query()
			.Where(db.WebPageInCampaign.WebPageID, webPageID)
			.Where(db.WebPageInCampaign.CampaignID, campaignID)
			.ToList<WebPageInCampaign>().FirstOrDefault();
		}

		public static bool DeleteByWebPageIDAndCampaignID(int webPageID, int campaignID)
		{
			return new Query().Delete(db.WebPageInCampaign)
			.Where(db.WebPageInCampaign.WebPageID, webPageID)
			.Where(db.WebPageInCampaign.CampaignID, campaignID)
			.ExecuteNonQuery<WebPageInCampaign>() > 0;
		}

		#endregion

	}

}
