﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Text.RegularExpressions;
using Ice.Web;
using Ice.Orm.Core.Criteria;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;

namespace Ice.Net.Ecommerce.Web
{
	public class GRewriteModule : IHttpModule
	{

		public void Dispose()
		{
		}

		public void Init(HttpApplication context)
		{
			// not in use
			 context.BeginRequest += new EventHandler(context_BeginRequest);
		}

		static int mCount = 0;

		private void ShowMsg()
		{
			mCount++;
			if (mCount % 4 == 0)
			{
				// show trial message
				HttpContext.Current.Response.Cache.SetNoStore();
				HttpContext.Current.Response.Write(@"
<div style='background-color:red;padding:20px;'>VISTA CART TRIAL EDITION</div><br/><br/>
Buy full version at <a href=""http://www.iceasp.net/"" target=""_blank"">www.iceasp.net</a><br/><br/>
<a href=""javascript:window.location=window.location"">CONTINUE TRIAL</a> ");
			
				HttpContext.Current.Response.End();
			}
		}

		void  context_BeginRequest(object sender, EventArgs e)
		{
			string filePath = HttpContext.Current.Request.Path;

			if (filePath.EndsWith(".aspx", StringComparison.OrdinalIgnoreCase))
			{
				string vpath = filePath.ToLower();
				bool isSkinDir = vpath.Contains("/skins/");
				bool isAdmin = vpath.Contains("/admin");
				bool isDefault = vpath.Contains("/default.aspx");

				if (!isSkinDir && ((!isAdmin && isDefault) || (vpath.Contains("/g-") && vpath.EndsWith(".aspx")) || vpath.EndsWith("-g.aspx")))
				{
					string vpNew =(BusinessObjects.Common.ApplicationUtility.SkinDirectory);

					if (vpath.Contains("/g-"))
					{
						vpNew += vpath.Replace("/g-", ""); // redirect to file
					}
					else
					{
						vpNew += "default.aspx";
					}
#if TRIAL
					ShowMsg();
#endif

					if (!HttpContext.Current.Request.Url.Host.Contains("localhost"))
					{
						string baseUrl = BusinessObjects.Common.ApplicationUtility.ApplicationHttpRoot;

						string[] baseParts = new Regex("://([^/]+)").Match(baseUrl).Groups[1].Value.Split('.');
						string[] hostParts = HttpContext.Current.Request.Url.Host.Split('.');
						if (baseParts.Length != hostParts.Length || !string.Equals(baseParts[0], hostParts[0], StringComparison.OrdinalIgnoreCase))
						{
							// redirect to mBase
							HttpContext.Current.Response.Redirect(baseUrl, true);
							return;
						}
					}

					HttpContext.Current.RewritePath(vpNew);

					//**************************************************************************
					// IceHttpCompressionFilter.AddCompressionFilter(HttpContext.Current);
					//**************************************************************************

				}
			}
		}

	}
}

