﻿using System;
using System.Collections;
using System.Data;
using System.Web;
using IceASP.NET.Ecommerce.BusinessObjects.Common;
using IceASP.NET.Ecommerce.BusinessObjects.Database.VISTACART;
using System.Security.Permissions;
using System.Web.UI;
using System.Web.Compilation;
using Ice.Web;

namespace IceASP.NET.Ecommerce.Web.HttpHandler
{
	public class GPageHandlerFactory : IHttpHandlerFactory
	{
		private IHttpHandler GetPageHandler(string virtualPath)
		{
			return BuildManager.CreateInstanceFromVirtualPath(virtualPath, typeof(Page)) as Page;
		}

		public IHttpHandler GetHandler(HttpContext context, string requestType, string virtualPath, string path)
		{
			throw new Exception("Not in use!!! Use GRewriteModule instead! Modify web.config httpModules section!");

			// <add verb="*" path="*/g-*.aspx" type="IceASP.NET.Ecommerce.Web.HttpHandler.SkinHandler"/>
			// <add verb="*" path="*-g.aspx" type="IceASP.NET.Ecommerce.Web.HttpHandler.SkinHandler"/>
			string vpath = virtualPath.ToLower();
			bool isSkinDir = vpath.Contains("skins");
			bool isAdmin = vpath.Contains("/admin");
			bool isDefault = vpath.Contains("default.aspx");

			if (!isSkinDir &&((!isAdmin && isDefault) || (vpath.Contains("/g-") && vpath.EndsWith(".aspx")) || vpath.EndsWith("-g.aspx")))
			{
				string vpNew = GPathUtility.GetVirtualHttpPath(BusinessObjects.Common.ApplicationUtility.SkinDirectory);

				if (vpath.Contains("/g-"))
				{
					vpNew += vpath.Replace("/g-", ""); // redirect to file
				}
				else
				{
					vpNew += "default.aspx";
				}

				return new GPageHandler(vpNew);
			}
			else 	// all else admin or non default.aspx requests
			{
				return GetPageHandler(virtualPath);
			}
		}

		public void ReleaseHandler(IHttpHandler handler)
		{

		}

	}

}
