﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Ice.Net.Ecommerce.BusinessObjects.Common;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;
using Ice.Net.Ecommerce.BusinessObjects.Database;
using System.Collections.Generic;

namespace Ice.Net.Ecommerce.Web.Modules.HtmlElements
{
	public class StatesHtmlBuilder
	{
		public static string GetHtml(int? selectedStateID)
		{
			StatesHtmlBuilder builder = new StatesHtmlBuilder();
			return builder.GetStates(selectedStateID);
		}

				
		private string GetStates(int? selectedStateID)
		{
			System.Text.StringBuilder sb = new System.Text.StringBuilder();
			List<State> states = SmartObjectLoader.LoadCollection<State>(1000, true, db.State.Ordinal, false);

////            sb.Append(@"
////<select name='StateID'>");

			foreach (State state in states)
			{
				if (state.IsActive == false)
				{
					continue;
				}
				sb.Append(String.Format(@"
<option{0} value='{1}'>{2}</option>", state.StateID == selectedStateID ? " selected='selected'" : "", state.StateID, state.Name));
			}
////            sb.Append(@"
////</select>");

			return sb.ToString();
		}
	

	}
}
