﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;
using Ice.Net.Ecommerce.BusinessObjects.Common;

namespace Ice.Net.Ecommerce.Web.Admin.VISTACART
{
	public partial class Editor : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			Response.Cache.SetNoStore();

			// if user not authenticated, redirect to login.aspx
			User user = new User();
			if (VISTACARTHelper.CurrentUser.AdminTicket.IsAuthenticated
				&& user.LoadFromDB(VISTACARTHelper.CurrentUser.AdminTicket.UserID)
				&& user.IsActive
				&& user.IsInRole(Role.NameEnum.Administrators))
			{
				// ok
			}
			else if (BusinessObjects.Common.OnlineDemoSkinHelper.IsOnlineDemoAdmin && VISTACARTHelper.CurrentUser.AdminTicket.IsAuthenticated)
			{
				// ok
			}
			else
			{
				Response.Write("_not_authenticated_");
				Response.End();
			}

			string type = Request.QueryString["c"] + "";

			switch (type)
			{
				case "news":
					Editor1.AutoConfigure = CuteEditor.AutoConfigure.Simple;
					break;

				case "webpage":
					Editor1.AutoConfigure = CuteEditor.AutoConfigure.Full_noform;
					if (divEditorCSS.InnerHtml.Length > 1)
					{
						string skinsDir = BusinessObjects.Common.ApplicationUtility.SkinDirectory + divEditorCSS.InnerHtml;
						Editor1.EditorWysiwygModeCss = skinsDir;
					}
					break;
			}

			Editor1.URLType = CuteEditor.URLType.Absolute;
			Editor1.BaseHref = BusinessObjects.Common.ApplicationUtility.ApplicationHttpRootCurrent; // this doesn't help with Firefox, we have to place Editor.aspx in the same level with Gallery directory
		}
	}
}
