﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Ice.Net.Ecommerce.BusinessObjects.Common;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;
using Ice.Net.Ecommerce.Web.Modules.Common;

namespace Ice.Net.Ecommerce.Web.Skins.MobilStore
{
	public partial class ProductDetail : System.Web.UI.UserControl
	{
		protected string mProductPicture = "";
		protected string mProductName = "";
		protected string mProductLongDesc = "";
		protected string mProductPrice = "";
		protected string mProductAttributes = "";
		protected string mOldPrice = "";
		protected int mProductID = 0;
		protected string mTaxValue = "";
		protected string mOutOfStock = "";
		protected string mNavigationMap = "";

		protected void Page_Load(object sender, EventArgs e)
		{
			if (this.Visible == false)
			{
				return;
			}

			if (Page.IsPostBack)
			{

			}
			else
			{
				RequestHelper rh = RequestHelper.Current;

				mProductPicture = rh.ProductData.LargeImageLink;
				mProductName = rh.ProductData.Name;
				mProductLongDesc = rh.ProductData.LongDescription;
				mProductPrice = rh.ProductData.CurrentPriceStr;
				mOldPrice = rh.ProductData.OriginalPriceStr;
				mProductAttributes = rh.ProductData.ProductAttributes;
				mProductID = rh.ProductData.Product.ProductID;
				mTaxValue = rh.ProductData.TaxName;
				mOutOfStock = rh.ProductData.OutOfStockMsg;

				divAddToCart.Visible = rh.ProductData.IsOutOfStock == false;
				divOutOfStock.Visible = rh.ProductData.IsOutOfStock;


			}
		}
	}
}