﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Serialization.Json.Core.Serializer;

namespace Ice.Serialization.Json
{
	public class IceJson
	{
		public static string Serialize<T>(T obj, bool includePropertyTypesComments = false)
		{
			IceJavaScriptSerializer ser = new IceJavaScriptSerializer(includePropertyTypesComments);
			return ser.Serialize(obj);
		}

		public static T Deserialize<T>(string json)
		{
			IceJavaScriptSerializer ser = new IceJavaScriptSerializer();
			return ser.Deserialize<T>(json);
		}

		public static object DeserializeObject(string json)
		{
			IceJavaScriptSerializer ser = new IceJavaScriptSerializer();
			return ser.DeserializeObject(json);
		}

	}
}
