﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class Currency 
	{
		public enum NameEnum
		{
			EUR = 7,
			USD = 23,
			GBP = 22,
			DKK = 6,
			HRK = 5
		}


		#region Static properties


		#endregion

		#region Public properties

		/// <summary>
		/// 1/ConversionRate
		/// </summary>
		public decimal ReverseRate
		{
			get
			{
				if (this.ConversionRate != 0)
				{
					return Math.Round(1 / this.ConversionRate, 10);
				}
				else
				{
					return 0;
				}
			}
		}

		#endregion

		#region Database methods overrides

		public static Currency LoadByISOCode(string isoCode)
		{
			return new Query<Currency>().Where(o => o.ISOCode == isoCode).FirstOrDefault();
		}

		#endregion

	}

}
