﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;
using System.Data.SqlClient;
using Ice.Orm.Core.Entity; using Ice.Orm.Core.Criteria;
using System.Linq;

namespace Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART
{
	public partial class WebPageInCategory 
	{
		#region Database methods
		// Database methods

		public static WebPageInCategory LoadByWebPageIDAndCategoryID(int webPageID, int categoryID)
		{
			return new Query()
			.Where(db.WebPageInCategory.WebPageID, webPageID)
			.Where(db.WebPageInCategory.CategoryID, categoryID)
			.ToList<WebPageInCategory>().FirstOrDefault();
		}

		public static bool DeleteByWebPageIDAndCategoryID(int webPageID, int categoryID)
		{
			return new Query().Delete(db.WebPageInCategory)
			.Where(db.WebPageInCategory.WebPageID, webPageID)
			.Where(db.WebPageInCategory.CategoryID, categoryID)
			.ExecuteNonQuery<WebPageInCategory>() > 0;
		}

		#endregion

	}

}
