﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;

namespace Ice.Net.Ecommerce.PaymentGateways.PG
{
	internal class PGInvoice : BasePG
	{
		public override bool AIMMethod
		{
			get { return false; }
		}

		public override PGNameEnum PGNameEnum
		{
			get { return PGNameEnum._Invoice; }
		}

		public override PGResult GetFormWithParameters(Order order)
		{
#if TRIAL
			throw new Exception("*********************************\r\nDISABLED IN TRIAL VERSION!\r\n*********************************");
#else
			return new PGResult(null, base.GetFinalForm(order.OrderID), null);
#endif
		}

		public override PGStatus GetReceivedStatus(HttpContext context)
		{
			return null;
		}
		public override PGResult ChargeAIMMethodWorker(CreditCardInfo ccInfo, Order order)
		{
			return null;
		}


		#region Control Panel HTML

		public override string GetControlPanelHtml()
		{
			return @"
<!--INVOICE CONTROL PANEL-->
<table cellpadding='0px' cellspacing='5px' >
<tr><td >Name</td><td><input type='text' name='Name' style='width:255px;'/></td></tr>
<tr><td >Active</td><td><input type='checkbox' name='IsActive' /></td></tr>
<tr><td >Demo</td><td><input type='checkbox' name='IsDemo' /></td></tr>
<tr><td >Diagnostic</td><td><input type='checkbox' name='IsDiagnostic' /></td></tr>
<tr><td >Description<br/></td><td><textarea id='textareaPTDescription' name='Description' rows='200' cols='2000' style='height:80px;width:255px;'></textarea></td></tr>
<tr><td >Long Descr. <br/></td><td><textarea id='textareaPTLongDescription' name='LongDescription' rows='200' cols='2000' style='height:80px;width:255px;'></textarea></td></tr>

<tr><td></td><td><div style='display:none'>
<!--quick help content-->

</div><div align='right'><a href='#' onclick='QoDesk.PaymentTypeEditor.ShowQuickHelp(this);'><b>Quick Help</b></a></div>
</td></tr>
</table>
";
		}

		#endregion

	}
}
 