﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Ice.Net.Ecommerce.PaymentGateways
{
	public class PGResult
	{
		public string Form = "";
		public string Text = "";
		public string JavaScript = "";
		public bool Success = false;
		public string TransactionId = "";
		public bool Reload = false;

		public PGResult()
		{
		}

		public PGResult(string text, bool reload)
		{
			this.Text = text;
			this.Reload = reload;
		}

		public PGResult(string text, string form, string javaScript)
		{
			this.Text = text + "";
			this.Form = form + "";
			this.JavaScript = javaScript + "";
		}

		public PGResult(string text, string form, string javaScript, bool success, string transactionId)
			:this(text, form, javaScript)
		{
			this.Success = success;
			this.TransactionId = transactionId;
		}
	}
}
