﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Ice.Net.Ecommerce.BusinessObjects.Common;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;
using System.Collections.Generic;


namespace Ice.Net.Ecommerce.Web.Modules.HtmlElements
{
	public class CountriesHtmlBuilder
	{
		public static string GetHtml(int? selectedCountryID)
		{
			CountriesHtmlBuilder builder = new CountriesHtmlBuilder();
			return builder.GetCountries(selectedCountryID);
		}

		private string GetCountries(int? selectedCountryID)
		{
			System.Text.StringBuilder sb = new System.Text.StringBuilder();

			List<Country> countries = SmartObjectLoader.LoadCollection<Country>(1000, true, db.Country.Ordinal, false);

			////            sb.Append(@"
			////<select name='CountryID'>");

			foreach (Country country in countries)
			{
				if (country.IsActive == false)
				{
					continue;
				}
				sb.Append(String.Format(@"
<option{0} value='{1}'>{2}</option>", country.CountryID == selectedCountryID ? " selected='selected'" : "", country.CountryID, country.Name));
			}
			////            sb.Append(@"
			////</select>");

			return sb.ToString();
		}
	}
}
