﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Ice.Net.Ecommerce.Web.Admin.VISTACART.Default" %>
<%@ Register Assembly="Ice.Web" Namespace="Ice.Web.UI" TagPrefix="cc1" %>
<%@ Register TagPrefix="CE" Namespace="CuteEditor" Assembly="CuteEditor" %>
<%@ Register Src="~/Modules/GoogleAnalytics.ascx" TagPrefix="uc1" TagName="GoogleAnalytics" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" style="height:100%; width:100%" >
<head runat="server">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
    <title>Vista Cart Administration</title>	
	<uc1:GoogleAnalytics runat="server" ID="GoogleAnalytics" />
    <%-- this style is required for loading mask--%>
	<cc1:IceScriptManager ID="IceScriptManagerMain" runat="server" Engine="true"></cc1:IceScriptManager>

<cc1:IceScriptManager ID="IceScriptManagerG2" runat="server" Inline="true">
	<style type="text/css">
		html, body {
			font: normal 12px tahoma, arial, verdana, sans-serif;
			margin: 0;
			padding: 0;
			border: 0 none;
			overflow: hidden;
			height: 100%;
			width:100%;
			background-position:center center;
			background-repeat:no-repeat;
			cursor:default; /* ie7 fix */
		}
		input {font: normal 12px tahoma, arial, verdana, sans-serif;}
	</style>
</cc1:IceScriptManager>

</head>
<body id="x-body-doc">

	<table id="welcome-screen" style='width:100%; height:100%; color:#1D1E90; font-weight:bold; font-size:12px; text-align:center;' border='0'>
		<tr>
			<td>Loading ...<span style="position:absolute; overflow:hidden; width:0px; height:25px;" id="roller">.........................................................................</span><br/><br/><br/><br/><br/></td>
		</tr>
	</table>

<cc1:IceScriptManager ID="IceScriptManager2" Inline="true" runat="server">
<script type="text/javascript">
//<![CDATA[

	// loading progress
	if (!this.Ice) { Ice = {}; }

	Ice.LoadingMask = new (function ()
	{
		var count = 0;
		var roller = document.getElementById("roller");
		var welcome = document.getElementById("welcome-screen");

		function trewSetNext()
		{
			if (!welcome)
			{
				return;
			}

			if (count > 150)
			{
				count = 0;
			}

			roller.style.width = count + 'px';
			count += 5;
			if (welcome)
			{
				setTimeout(trewSetNext, 100);
			}
		}

		this.Show = trewSetNext;
		this.Hide = function ()
		{
			welcome.style.display = "none";
			welcome = null;
		};

	})();

	Ice.LoadingMask.Show();

    //]]>
</script>
</cc1:IceScriptManager>

	<cc1:IceScriptManager 
		ID="IceScriptManager1" 
		runat="server" 
		Scripts="
			WebService/GService.asmx,
			~/Scripts/IceFormSerialization.js,
		" >
		<script type="text/javascript">
			var GService = Ice.Net.Ecommerce.Web.Admin.VISTACART.WebService.GService;
		</script>
	</cc1:IceScriptManager>
	
	
     <%--show login screen--%>
<asp:PlaceHolder ID="plcNotAuthenticated" runat="server">

<table id="tableLoginPanel" align="center" style="background:#00586A; width:100%; height:100%;" cellpadding="0" cellspacing="0" border="0">
<tr>
<td>

<table id="adminInfoTable" align="center" cellpadding="0" cellspacing="0" border="0" style="display:none;width:542px; height:261px; background:url(res/resources2/images/loginpic.gif); background-position:center center; background-repeat:no-repeat;">
<tr><td style="height:150px;">&nbsp;</td><td>&nbsp;</td></tr>
<tr><td id="loginUsernameText" style="height:25px; width:150px; padding-left:70px;">_Username:_</td><td style="width:392px;"><input id="inputUsername" name="Username" class="required" style="width:150px" type="text" /></td></tr>
<tr><td id="loginPasswordText" style="height:25px; padding-left:70px;">_Password:_</td><td><input id="inputPassword" onkeydown="TestEnter(event, Ice.AdminLogin);" name="Password" class="required" style="width:150px" type="password" /></td></tr>
<tr><td style="height:61px"></td><td align="right" style="padding-right:20px;"><input id="buttonLogin" type="button" style="width:70px" value="_Login_" onclick="Ice.AdminLogin();" /></td></tr>
</table>
<br /><br /><br /><br /><br /><br />
</td>
</tr>
</table>

<cc1:IceScriptManager ID="IceScriptManagerG3" runat="server" Inline="true">
	<script type="text/javascript">
		//<![CDATA[

		// set login form in language
		document.getElementById("loginUsernameText").innerHTML = CartLanguage.Username + ":";
		document.getElementById("loginPasswordText").innerHTML = CartLanguage.Password + ":";
		document.getElementById("buttonLogin").value = CartLanguage.Login;


		var loginImageBack = new Image();
		loginImageBack.onload = function()
		{
			document.getElementById("adminInfoTable").style.display = "";
			document.getElementById("inputUsername").focus();
		};

		loginImageBack.src = "res/resources2/images/loginpic.gif";

		function TestEnter(e, method)
		{
			if(e.keyCode == 13)
			{
				method();
			}
		}

		Ice.AdminLogin = function ()
		{
			var adminInfo = Ice.FormSerialization.SerializeHtmlControls("adminInfoTable", "required");
			if (adminInfo == null)
			{
				alert("Please enter username and password!");
			}
			else
			{
				var button = document.getElementById("buttonLogin");
				var passField = document.getElementById("inputPassword");
				var userField = document.getElementById("inputUsername");
				userField.disabled = true;
				passField.disabled = true;
				button.disabled = true;
				document.body.style.cursor = "wait";
				GService.AdminLogin(adminInfo.Username, adminInfo.Password, function (result)
				{
					if (result == true)
					{
						window.location = "./";
					}
					else
					{
						alert("Invalid login info!");
						button.disabled = false;
						passField.disabled = false;
						userField.disabled = false;
						document.body.style.cursor = "default";
					}
				});
			}
		};

		//]]>
	</script>
</cc1:IceScriptManager>

</asp:PlaceHolder>

<%--show desktop--%>
<asp:PlaceHolder ID="plcAuthenticated" runat="server" Visible="false">

<link rel="stylesheet" type="text/css" href="res/js/Ext_21/resources/css/ext-all.css">
<link rel="stylesheet" type="text/css" href="res/resources/css/desktop.css">
<link rel="stylesheet" type="text/css" href="res/resources/themes/xtheme-vistablue/css/xtheme-vistablue.css">
<link rel="stylesheet" type="text/css" href="res/resources2/gallery/gallery.css">
<link rel="stylesheet" type="text/css" href="res/css/icons.css">
<link rel="stylesheet" type="text/css" href="res/resources2/common/CustomCss.css">
<link rel="stylesheet" type="text/css" href="res/resources2/languageSelector/LanguageSelector.css">
	
    <script type="text/javascript">
    //<![CDATA[
   	GService.AppRoot = "<%=mAppRoot%>";
	GService.Username = "<%=mUsername%>";

	GService.PagerPageSize = <%=mPagerPageSize %>;
	GService.CurrencyISOCode = "<%=mCurrencyISOCode %>";
	GService.WeightUnitSymbol = "<%=mWeightUnitSymbol %>";
	
	//]]>
	</script>
 
	<div id="divIceLogo" style="display:none;position:absolute; top:0; right:0; height:136px; width:300px; background-image:url(res/resources2/images/logo2.gif); background-position:center center; background-repeat:no-repeat;"></div>
	<div id="divReadOnlyMode" runat="server" visible="false" style="position:absolute;left:50%;margin-left:-100px;top:0;font-size:25px;color:red;">READ ONLY MODE</div>

	
    <div>
    
		<div id="x-desktop">
			<div id="ux-shortcuts"></div>
		</div>
		
		<div id="ux-taskbar">
			<div id="ux-taskbar-start"></div>
			<div id="ux-taskbar-panel-wrap">
				<div id="ux-quickstart-panel"></div>
				<div id="ux-taskbuttons-panel"></div>
			</div>
			<div class="x-clear"></div>
		</div>

    </div>
	
	
<%--VISTACART release & debug version--%>	
<cc1:IceScriptManager
	ID="plcVISTACARTRelease" 
	runat="server"
	Compression="None"
	SkipReferences="true"
	Scripts="
		~/admin/res/js/Ext_21/ice-fix-ext-before.js,
		~/admin/res/js/Ext_21/source/core/Ext.js,
		~/admin/res/js/Ext_21/source/adapter/ext-base.js,
		~/admin/res/js/Ext_21/ext-all-debug-jsPack_ready.js,
		~/admin/res/js/Ext_21/ice-fix-ext-after.js,
		~/admin/res/js/Ext_21/IceExtExtensions.js,

		res/js/core/StartMenu.js,
		res/js/core/TaskBar.js,
		res/js/core/Desktop.js,
		res/js/core/App.js,
		res/js/core/Module.js,
		res/js/core/DesktopConfig.js,
		res/js/core/Shortcut.js,
	
		res/js/vistacart/common/TabCloseMenu.js,
		res/js/vistacart/common/DbAdminNamespace.js,
		res/js/vistacart/common/FormAddNew.js,
		res/js/vistacart/common/GridWithPaging.js,
		res/js/vistacart/common/TablesEditorGrid.js,
		res/js/vistacart/Combos.js,
		res/js/vistacart/AppGlobalSettingsEditorGrid.js,
		res/js/vistacart/CurrencyEditorGrid.js,
		res/js/vistacart/CurrencyRetriever.js,
		res/js/vistacart/PaymentTypeEditorGrid.js,
		res/js/vistacart/PaymentTypeForm.js,
		res/js/vistacart/ShippingTypeEditorGrid.js,
		res/js/vistacart/TaxEditorGrid.js,
		res/js/vistacart/WeightEditorGrid.js,
		res/js/vistacart/CountryEditorGrid.js,
		res/js/vistacart/StateEditorGrid.js,
		res/js/vistacart/PagerSizeEditorGrid.js,
		res/js/vistacart/ManufacturerEditorGrid.js,
		res/js/vistacart/MessageEditorGrid.js,
		res/js/vistacart/OrdersGrid.js,
		res/js/vistacart/OrderEditor.js,
		res/js/vistacart/products/ProductEdit.js,
		res/js/vistacart/products/ProductImagesGrid.js,
		res/js/vistacart/products/ProductAttributeGroupEdit.js,
		res/js/vistacart/products/WebPageEdit.js,

		res/js/vistacart/products/CategoriesTree.js,
		res/js/vistacart/products/CampaignsTree.js,
		res/js/vistacart/products/ProductsRightPane.js,
		res/js/vistacart/products/ProductsMain.js,
		res/js/vistacart/products/ProductDescriptionEditor.js,

		res/js/vistacart/users/UserRolesTree.js,
		res/js/vistacart/users/UsersMain.js,
		res/js/vistacart/users/UserEdit.js,

		res/js/vistacart/gallery/data-view-plugins.js,
		res/js/vistacart/gallery/Ice.BrowseButton.js,
		res/js/vistacart/gallery/IceFileUpload.js,
		res/js/vistacart/gallery/ImageGallery.js,
		res/js/vistacart/gallery/ImageGalleryTree.js,
		res/js/vistacart/gallery/ImageGalleryView.js,

		res/js/vistacart/common/SettingsSelectorMod.js,

		res/js/vistacart/NewsletterComposer.js

	"/>
	

<script type="text/javascript">
    //<![CDATA[
	//document.body.oncontextmenu = function(){return false;} // disable default context menu
	Ext.Window.prototype.onEsc = function () { };

	setTimeout(function(){document.getElementById("divIceLogo").style.display = "";},2000);
    //]]>
</script>

</asp:PlaceHolder>

<script type="text/javascript">
    //<![CDATA[
	Ice.LoadingMask.Hide();
    //]]>
</script>



</body>

</html>



