﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Ice.Net.Ecommerce.BusinessObjects.Common;
using Ice.Net.Ecommerce.BusinessObjects.Database.VISTACART;

namespace Ice.Net.Ecommerce.Web.Modules
{
	public partial class DynamicWebPage : System.Web.UI.UserControl
	{
		protected string mContent = "";

		public WebPage.NameEnum WebPageName
		{
			set { LoadWebPage(value); }
		}
		public int WebPageID
		{
			set { LoadWebPage(value); }
		}

		protected void Page_Load(object sender, EventArgs e)
		{

		}

		private void LoadWebPage(WebPage.NameEnum webPageName)
		{
			LoadWebPage((int)webPageName);
		}

		private void LoadWebPage(int webPageID)
		{
			WebPage wp = new WebPage();
			if (wp.LoadFromDB(webPageID))
			{
				mContent = wp.Content;
				Page.Title = wp.MetaTitle;
			}

		}
	}
}