﻿
if(!this.Ice){Ice = {};}
if (!Ice.GCart) { Ice.GCart = {}; }

Ice.ImageLoader = function()
{
	function FitImageIntoContainer(imageEl, container)
	{
		var maxWidth = container.clientWidth;
		var maxHeight = container.clientHeight;
		
		var ratio = imageEl.width / imageEl.height;
		var thumbRatio = maxWidth / maxHeight;
		if (ratio > thumbRatio)
		{
			// too width
			imageEl.width = maxWidth;
			imageEl.height = imageEl.width / ratio;
		}
		else
		{
			// to height
			imageEl.height = maxHeight;
			imageEl.width = imageEl.height * ratio;
		}
		imageEl.style.marginTop = ((maxHeight - imageEl.height) / 2) + "px";
		container.align = "center";
	}
	
	function FadeIn(imageEl)
	{
		var steps = 10;
		var value = 0;
		var count = 0;
		
		function SetValue(val)
		{
			if(imageEl.style.opacity != null)
			{
				imageEl.style.opacity = value / 100;
			}
			else if(imageEl.style.filter != null)
			{
				imageEl.style.filter = "alpha(opacity = " + value +  ")";							
			}
		}
		
		function FadeInWorker()
		{
			SetValue(value);
			value += (100 / steps);
			if(++ count < steps)
			{
				setTimeout(FadeInWorker, 50);
			}
			else
			{
				SetValue(100);
			}
		};
		FadeInWorker();
	}
	
	this.LoadImage = function(oldImage, container)
	{
		if(oldImage.src.length < 3)
		{
			return ;
		}
		var imageEl = oldImage;
		
		// wait untill image loads
		function WaitUntilLoaded()
		{
			if(imageEl.complete == true)
			{
				container.style.backgroundImage = "url('empty.gif')";
				// loaded, resize it
				FitImageIntoContainer(imageEl, container);
				FadeIn(imageEl);
			}
			else
			{
				setTimeout(WaitUntilLoaded, 100);
			}
		}
		setTimeout(WaitUntilLoaded, 100);
	};
	
};

Ice.Extend(Ice.GCart, {
	CartImagesLoader : function()
	{
		var imgLoaders = [];
		var div = document.body;
		var images = div.getElementsByTagName("img");
		for(var nn = 0; nn < images.length ;nn ++)
		{
			if(images[nn].className.indexOf("imageLoader") >= 0)
			{
				// resize this image
				var loader = new Ice.ImageLoader();
				// load and resize image to fit into container div (images[nn].parentNode)
				loader.LoadImage(images[nn], images[nn].parentNode);
				imgLoaders.push(loader);
			}
		}
	}
});


