﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Text;


namespace Ice.Orm.Core.Criteria
{
	using DataStore;
	using Schema;
	using Ice.Orm.Core.Entity;
	using System.Collections.ObjectModel;

	[Serializable]
	public class DBWhereKeys : QParameterCollection
	{
		public string GetWhereStatement()
		{
			int count = 0;
			StringBuilder sb = new StringBuilder();
			foreach (DBWhereKey whereKey in this.AsReadOnly())
			{
				sb.Append(count == 0 ? " WHERE " : whereKey.GetLogicOperatorString());

				sb.Append(whereKey.GetWhereSql());
				count++;
			}
			return sb.ToString();
		}


	}
}