﻿/// <reference path="Ice.js" />


////Ice.BrowserFeatures = {};
////Ice.BrowserFeatures.Current = function ()
////{
////	var res =
////	{
////		Platform: null, // Win32
////		Browser: null,
////		Version: null,
////		CookieEnabled: null
////	};

////	try
////	{
////		res.CookieEnabled = navigator.cookieEnabled;

////		if (navigator.userAgent.indexOf("MSIE") > 0)
////		{
////			// MSIE 10 and lower
////			// userAgent: "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
////			res.Browser = "MSIE";
////			res.Version = parseFloat(navigator.userAgent.match(new RegExp("MSIE[\\s]+([\\d\\.]+)"))[1]);
////		}
////		else if ("msMaxTouchPoints" in navigator)
////		{
////			// MSIE	 11 and higher
////			// userAgent: "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; rv:11.0) like Gecko",
////			res.Browser = "MSIE";
////			res.Version = parseFloat(navigator.userAgent.match(new RegExp("rv\\:([\\d\\.]+)"))[1]);
////		}

////	}
////	catch (e)
////	{ }

////	return res;
////};

Ice.BrowserInformation = new (function ()
{
	/* properties, created in runtime on invocation of this.Current():

	browserVersion: 5.1,
	OS: "Windows",
	browser: "Safari",

	isChrome: false,
	isOmniWeb: false,
	isSafari: true,
	isOpera: false,
	isiCab: false,
	isKonqueror: false,
	isFirefox: false,
	isCamino: false,
	isNetscape: false,
	isMSIE: false,
	isMozilla: false,

	osWin: false,
	osMac: false,
	osiPhone: false,
	osLinux: false,
	osWindows: true
	*/


	/* Opera
	appCodeName "Mozilla"
	appMinorVersion ""
	appName "Opera"
	appVersion "9.80 (Windows NT 6.1; WOW64)"
	browserLanguage "en"
	cookieEnabled true
	doNotTrack null
	geolocation Geolocation
	getUserMedia Function
	language "en"
	mimeTypes MimeTypes
	onLine true
	platform "Win32"
	plugins PluginArray
	userAgent "Opera/9.80 (Windows NT 6.1; WOW64) Presto/2.12.388 Version/12.16"
	userLanguage "en"
	*/

	/* Chrome
	Navigator {geolocation: Geolocation, webkitPersistentStorage: StorageQuota, webkitTemporaryStorage: StorageQuota, doNotTrack: null, onLine: true…}
	appCodeName: "Mozilla"
	appName: "Netscape"
	appVersion: "5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/33.0.1750.146 Safari/537.36"
	cookieEnabled: true
	doNotTrack: null
	geolocation: Geolocation
	language: "en-US"
	mimeTypes: MimeTypeArray
	onLine: true
	platform: "Win32"
	plugins: PluginArray
	product: "Gecko"
	productSub: "20030107"
	userAgent: "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/33.0.1750.146 Safari/537.36"
	vendor: "Google Inc."
	vendorSub: ""
	webkitPersistentStorage: StorageQuota
	webkitTemporaryStorage: StorageQuota
	*/

	/* safari
	appCodeName: "Mozilla"
	appName: "Netscape"
	appVersion: "5.0 (Windows NT 6.1; WOW64) AppleWebKit/534.57.2 (KHTML, like Gecko) Version/5.1.7 Safari/534.57.2"
	cookieEnabled: true
	geolocation: Geolocation
	language: "en-US"
	mimeTypes: MimeTypeArray
	onLine: true
	platform: "Win32"
	plugins: PluginArray
	product: "Gecko"
	productSub: "20030107"
	userAgent: "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/534.57.2 (KHTML, like Gecko) Version/5.1.7 Safari/534.57.2"
	vendor: "Apple Computer, Inc."
	vendorSub: ""
	*/

	/*	MSIE 11
	appCodeName: "Mozilla",
	appMinorVersion: "0",
	appName: "Netscape",
	appVersion: "5.0 (Windows NT 6.1; WOW64; Trident/7.0; rv:11.0) like Gecko/20100101 Firefox/12.0",
	appVersion: "5.0 (Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; rv:11.0) like Gecko",
	browserLanguage: "en-US",
	connectionSpeed: <Permission denied>,
	constructor: { },
	cookieEnabled: true,
	cpuClass: "x86",
	geolocation: { },
	language: "en-US",
	maxTouchPoints: 0,
	mimeTypes: { },
	msManipulationViewsEnabled: false,
	msMaxTouchPoints: 0,
	msPointerEnabled: true,
	onLine: true,
	platform: "Win32",
	plugins: { },
	pointerEnabled: true,
	product: "Gecko",
	systemLanguage: "en-US",
	userAgent: "Mozilla/5.0 (Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E; rv:11.0) like Gecko",
	userLanguage: "en-US",
	vendor: ""
	*/

	/* MSIE 10
		[functions]: ,
		appCodeName: "Mozilla",
		appMinorVersion: "0",
		appName: "Microsoft Internet Explorer",
		appVersion: "5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		browserLanguage: "en-US",
		connectionSpeed: <Permission denied>,
		constructor: { },
		cookieEnabled: true,
		cpuClass: "x86",
		geolocation: { },
		mimeTypes: { },
		msDoNotTrack: "1",
		msManipulationViewsEnabled: false,
		msMaxTouchPoints: 0,
		msPointerEnabled: true,
		onLine: true,
		platform: "Win32",
		plugins: { },
		systemLanguage: "en-US",
		userAgent: "Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		userLanguage: "en-US"
	*/

	/* MSIE 9
		[functions]: ,
		appCodeName: "Mozilla",
		appMinorVersion: "0",
		appName: "Microsoft Internet Explorer",
		appVersion: "5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		browserLanguage: "en-US",
		connectionSpeed: <Permission denied>,
		constructor: { },
		cookieEnabled: true,
		cpuClass: "x86",
		geolocation: { },
		mimeTypes: { },
		msDoNotTrack: "1",
		onLine: true,
		platform: "Win32",
		plugins: { },
		systemLanguage: "en-US",
		userAgent: "Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		userLanguage: "en-US"
	*/

	/* MSIE 8
		appCodeName: "Mozilla",
		appMinorVersion: "0",
		appName: "Microsoft Internet Explorer",
		appVersion: "4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		cookieEnabled: true,
		cpuClass: "x86",
		mimeTypes: { },
		msDoNotTrack: "1",
		onLine: true,
		opsProfile: null,
		platform: "Win32",
		plugins: { },
		systemLanguage: "en-US",
		userAgent: "Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		userLanguage: "en-US",
		userProfile: null
	*/

	/* MSIE 7
		appCodeName: "Mozilla",
		appMinorVersion: "0",
		appName: "Microsoft Internet Explorer",
		appVersion: "4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		cookieEnabled: true,
		cpuClass: "x86",
		mimeTypes: { },
		msDoNotTrack: "1",
		onLine: true,
		opsProfile: null,
		platform: "Win32",
		plugins: { },
		systemLanguage: "en-US",
		userAgent: "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		userLanguage: "en-US",
		userProfile: null
	*/

	/* MSIE 5
		appCodeName: "Mozilla",
		appMinorVersion: "0",
		appName: "Microsoft Internet Explorer",
		appVersion: "4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		cookieEnabled: true,
		cpuClass: "x86",
		mimeTypes: { },
		msDoNotTrack: "1",
		onLine: true,
		opsProfile: null,
		platform: "Win32",
		plugins: { },
		systemLanguage: "en-US",
		userAgent: "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.1; WOW64; Trident/7.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C; .NET4.0E)",
		userLanguage: "en-US",
		userProfile: null
	*/


	this.typeName = "Ice.BrowserInformation";

	var dataBrowser = [
			{
				string: navigator.userAgent,
				subString: "Chrome",
				browser: "Chrome"
			},
			{
				string: navigator.userAgent,
				subString: "OmniWeb",
				versionSearch: "OmniWeb/",
				browser: "OmniWeb"
			},
			{
				string: navigator.vendor,
				subString: "Apple",
				browser: "Safari",
				versionSearch: "Version"
			},
			{
				prop: window.opera,
				browser: "Opera",
				versionSearch: "Version"
			},
			{
				string: navigator.vendor,
				subString: "iCab",
				browser: "iCab"
			},
			{
				string: navigator.vendor,
				subString: "KDE",
				browser: "Konqueror"
			},
			{
				string: navigator.userAgent,
				subString: "Firefox",
				browser: "Firefox"
			},
			{
				string: navigator.vendor,
				subString: "Camino",
				browser: "Camino"
			},
			{		// for newer Netscapes (6+)
				string: navigator.userAgent,
				subString: "Netscape",
				browser: "Netscape"
			},
			{
				string: navigator.userAgent,
				subString: "MSIE",
				browser: "MSIE",
				versionSearch: "MSIE"
			},
			{
				string: navigator.userAgent,
				subString: "Gecko",
				browser: "Mozilla",
				versionSearch: "rv"
			},
			{ 		// for older Netscapes (4-)
				string: navigator.userAgent,
				subString: "Mozilla",
				browser: "Netscape",
				versionSearch: "Mozilla"
			}
	];

	var dataOS = [
			{
				string: navigator.platform,
				subString: "Win",
				browser: "Windows"
			},
			{
				string: navigator.platform,
				subString: "Mac",
				browser: "Mac"
			},
			{
				string: navigator.userAgent,
				subString: "iPhone",
				browser: "iPhone/iPod"
			},
			{
				string: navigator.platform,
				subString: "Linux",
				browser: "Linux"
			}
	];

	function searchString(intance, data, detectVersion)
	{
		for (var i = 0; i < data.length; i++)
		{
			var dataString = data[i].string;
			var dataProp = data[i].prop;

			if (detectVersion)
			{
				var versionSearchString = data[i].versionSearch || data[i].browser;
				intance.browserVersion = searchVersion(navigator.userAgent, versionSearchString) || searchVersion(navigator.appVersion, versionSearchString) || "An unknown version";
			}

			if (dataString)
			{
				if (dataString.indexOf(data[i].subString) != -1)
				{
					return data[i].browser;
				}
			}
			else if (dataProp)
			{
				return data[i].browser;
			}
		}
	}

	function searchVersion(dataString, versionSearchString)
	{
		if (!dataString) return;
		var index = dataString.indexOf(versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index + versionSearchString.length + 1));
	}

	this.Current = function ()
	{
		if (!this.browser)
		{
			// initialize, create properties for intellisense
			for (var n = 0; n < dataBrowser.length; n++)
			{
				this["is" + (dataBrowser[n].browser)] = false;
			}

			for (var n = 0; n < dataOS.length; n++)
			{
				this["os" + (dataOS[n].subString)] = false;
			}

			this.browser = searchString(this, dataBrowser, true) || "An unknown browser";
			this["is" + this.browser] = true; // add property

			this.OS = searchString(this, dataOS, false) || "An unknown OS";
			this["os" + this.OS] = true;
		}
		return this;
	};


})();

