﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Web.Extensions;
using Ice.Extensions;

namespace Ice.Web.Resources
{
	public enum IconEnum
	{
		/// <summary>
		/// Default
		/// </summary>
		None = 0,

		#region aha-soft-s32x32

		[StringValue(".icons.s32x32.aha.apply.png")]
		Aha32Apply,

		[StringValue(".icons.s32x32.aha.back.png")]
		Aha32Back,

		[StringValue(".icons.s32x32.aha.cancel.png")]
		Aha32Cancel,

		[StringValue(".icons.s32x32.aha.Close.png")]
		Aha32Close,

		[StringValue(".icons.s32x32.aha.Danger.png")]
		Aha32Danger,

		[StringValue(".icons.s32x32.aha.Delete.png")]
		Aha32Delete,

		[StringValue(".icons.s32x32.aha.EditPage.png")]
		Aha32EditPage,

		[StringValue(".icons.s32x32.aha.Error.png")]
		Aha32Error,

		[StringValue(".icons.s32x32.aha.Forward.png")]
		Aha32Forward,

		[StringValue(".icons.s32x32.aha.GoDown.png")]
		Aha32GoDown,

		[StringValue(".icons.s32x32.aha.GoUp.png")]
		Aha32GoUp,

		[StringValue(".icons.s32x32.aha.Help.png")]
		Aha32Help,

		[StringValue(".icons.s32x32.aha.Info.png")]
		Aha32Info,

		[StringValue(".icons.s32x32.aha.No.png")]
		Aha32No,

		[StringValue(".icons.s32x32.aha.Ok.png")]
		Aha32Ok,

		[StringValue(".icons.s32x32.aha.Pencil.png")]
		Aha32Pencil,

		[StringValue(".icons.s32x32.aha.Picture.png")]
		Aha32Picture,

		[StringValue(".icons.s32x32.aha.Play.png")]
		Aha32Play,

		[StringValue(".icons.s32x32.aha.Refresh.png")]
		Aha32Refresh,

		[StringValue(".icons.s32x32.aha.Settings.png")]
		Aha32Settings,

		[StringValue(".icons.s32x32.aha.Show.png")]
		Aha32Show,

		[StringValue(".icons.s32x32.aha.Stop.png")]
		Aha32Stop,

		[StringValue(".icons.s32x32.aha.StopPlaying.png")]
		Aha32StopPlaying,

		[StringValue(".icons.s32x32.aha.Warning.png")]
		Aha32Warning,

		[StringValue(".icons.s32x32.aha.Wrong.png")]
		Aha32Wrong,

		#endregion

		#region faccow-s32x32

		[StringValue(".icons.s32x32.fatcow.film.png")]
		Fatcow32Film,

		#endregion

		#region silk icons

		[StringValue(".icons.s16x16.silk.icons.accept.png")]
		SilkAccept,

		[StringValue(".icons.s16x16.silk.icons.add.png")]
		SilkAdd,

		[StringValue(".icons.s16x16.silk.icons.anchor.png")]
		SilkAnchor,

		[StringValue(".icons.s16x16.silk.icons.application.png")]
		SilkApplication,

		[StringValue(".icons.s16x16.silk.icons.application_edit.png")]
		SilkApplicationEdit,

		[StringValue(".icons.s16x16.silk.icons.brick_edit.png")]
		SilkBrickEdit,

		[StringValue(".icons.s16x16.silk.icons.cancel.png")]
		SilkCancel,

		[StringValue(".icons.s16x16.silk.icons.cross.png")]
		SilkCross,

		[StringValue(".icons.s16x16.silk.icons.date.png")]
		SilkDatel,

		[StringValue(".icons.s16x16.silk.icons.delete.png")]
		SilkDelete,

		[StringValue(".icons.s16x16.silk.icons.disconnect.png")]
		SilkDisconnect,

		[StringValue(".icons.s16x16.silk.icons.disk.png")]
		SilkDisk,

		[StringValue(".icons.s16x16.silk.icons.error.png")]
		SilkError,

		[StringValue(".icons.s16x16.silk.icons.exclamation.png")]
		SilkExclamation,

		[StringValue(".icons.s16x16.silk.icons.eye.png")]
		SilkEye,

		[StringValue(".icons.s16x16.silk.icons.feed.png")]
		SilkFeed,

		[StringValue(".icons.s16x16.silk.icons.help.png")]
		SilkHelp,

		[StringValue(".icons.s16x16.silk.icons.hourglass.png")]
		SilkHourglass,

		[StringValue(".icons.s16x16.silk.icons.lock_break.png")]
		SilkLockBreak,

		[StringValue(".icons.s16x16.silk.icons.magifier_zoom_out.png")]
		SilkMagifierZoomOut,

		[StringValue(".icons.s16x16.silk.icons.magnifier.png")]
		SilkMagnifier,

		[StringValue(".icons.s16x16.silk.icons.magnifier_zoom_in.png")]
		SilkMagnifierZoomIn,

		[StringValue(".icons.s16x16.silk.icons.male.png")]
		SilkMale,

		[StringValue(".icons.s16x16.silk.icons.map.png")]
		SilkMap,

		[StringValue(".icons.s16x16.silk.icons.page_edit.png")]
		SilkPageEdit,

		[StringValue(".icons.s16x16.silk.icons.page_white.png")]
		SilkPageWhite,

		[StringValue(".icons.s16x16.silk.icons.picture.png")]
		SilkPicture,

		[StringValue(".icons.s16x16.silk.icons.pictures.png")]
		SilkPictures,

		[StringValue(".icons.s16x16.silk.icons.plugin.png")]
		SilkPlugin,

		[StringValue(".icons.s16x16.silk.icons.picture_add.png")]
		SilkPictureAdd,

		[StringValue(".icons.s16x16.silk.icons.plugin_edit.png")]
		SilkPluginEdit,

		[StringValue(".icons.s16x16.silk.icons.stop.png")]
		Stop,

		[StringValue(".icons.s16x16.silk.icons.thumb_down.png")]
		SilkThumbDown,

		[StringValue(".icons.s16x16.silk.icons.thumb_up.png")]
		SilkThumbUp,

		[StringValue(".icons.s16x16.silk.icons.tick.png")]
		SilkTick,

		[StringValue(".icons.s16x16.silk.icons.time.png")]
		SilkTime,

		[StringValue(".icons.s16x16.silk.icons.user.png")]
		SilkUser,

		[StringValue(".icons.s16x16.silk.icons.zoom.png")]
		SilkZoom,

		[StringValue(".icons.s16x16.silk.icons.zoom_in.png")]
		SilkZoomIn,

		[StringValue(".icons.s16x16.silk.icons.zoom_out.png")]
		SilkZoomOut,

		#endregion

		#region smileys

		[StringValue(".smileys.set1.angry.gif")]
		SmileyAngry,

		[StringValue(".smileys.set1.applause.gif")]
		SmileyApplause,

		[StringValue(".smileys.set1.bigGrin.gif")]
		SmileyBigGrin,

		[StringValue(".smileys.set1.bigHug.gif")]
		SmileyBigHug,

		[StringValue(".smileys.set1.confused.gif")]
		SmileyConfused,

		[StringValue(".smileys.set1.cool.gif")]
		SmileyCool,

		[StringValue(".smileys.set1.crying.gif")]
		SmileyCrying,

		[StringValue(".smileys.set1.dancing.gif")]
		SmileyDancing,

		[StringValue(".smileys.set1.devil.gif")]
		SmileyDevil,

		[StringValue(".smileys.set1.dontTellAnyone.gif")]
		SmileyDontTellAnyone,

		[StringValue(".smileys.set1.happy.gif")]
		SmileyHappy,

		[StringValue(".smileys.set1.hurryUp.gif")]
		SmileyHurryUp,

		[StringValue(".smileys.set1.kiss.gif")]
		SmileyKiss,

		[StringValue(".smileys.set1.laughing.gif")]
		SmileyLaughing,

		[StringValue(".smileys.set1.notWorthy.gif")]
		SmileyNotWorthy,

		[StringValue(".smileys.set1.party.gif")]
		SmileyParty,

		[StringValue(".smileys.set1.rockOn.gif")]
		SmileyRockOn,

		[StringValue(".smileys.set1.rollingOnTheFloor.gif")]
		SmileyRollingOnTheFloor,

		[StringValue(".smileys.set1.sad.gif")]
		SmileySad,

		[StringValue(".smileys.set1.surprise.gif")]
		SmileySurprise,

		[StringValue(".smileys.set1.thinking.gif")]
		SmileyThinking,

		[StringValue(".smileys.set1.thumbsDown.gif")]
		SmileyThumbsDown,

		[StringValue(".smileys.set1.tongue.gif")]
		SmileyTongue,

		[StringValue(".smileys.set1.winking.gif")]
		SmileyWinking,

		#endregion

		#region ajax preloader

		[StringValue(".Ajax2Preloader.s24x24_ajax2Black.gif")]
		Ajax2Black24,

		[StringValue(".Ajax2Preloader.s24x24_ajax2Blue.gif")]
		Ajax2Blue24,

		[StringValue(".Ajax2Preloader.s24x24_ajax2Red.gif")]
		Ajax2Red24,

		[StringValue(".Ajax2Preloader.s12x12_ajax89b.gif")]
		Ajax89Size12,

		[StringValue(".Ajax2Preloader.s14x14_ajax89a.gif")]
		Ajax89Size14,

		[StringValue(".Ajax2Preloader.s14x14_ajax8.gif")]
		Ajax8Size14,

		[StringValue(".Ajax2Preloader.s16x16_ajax25.gif")]
		Ajax25Size16,

		[StringValue(".Ajax2Preloader.s16x16_ajax4.gif")]
		Ajax4Size16,

		[StringValue(".Ajax2Preloader.s16x16_ajax91.gif")]
		Ajax91Size16,

		[StringValue(".Ajax2Preloader.s32x40_sand_clock.png")]
		AjaxSandClock,

		#endregion

		#region Window parts

		[StringValue(".WindowButtons.btnClose.gif")]
		WindowClose,

		[StringValue(".WindowButtons.btnCloseHover.gif")]
		WindowCloseHover,

		[StringValue(".WindowButtons.btnCloseInactive.gif")]
		WindowCloseInactive,

		[StringValue(".WindowButtons.btnMaximized.gif")]
		WindowMaximized,

		[StringValue(".WindowButtons.btnMaximizedHover.gif")]
		WindowMaximizedHover,

		[StringValue(".WindowButtons.btnMaximizedInactive.gif")]
		WindowMaximizedInactvie,

		[StringValue(".WindowButtons.btnMinimize.gif")]
		WindowMinimize,

		[StringValue(".WindowButtons.btnMinimizeHover.gif")]
		WindowMinimizeHover,

		[StringValue(".WindowButtons.btnMinimizeInactive.gif")]
		WindowMinimizeInactive,

		[StringValue(".WindowButtons.btnResize.gif")]
		WindowResize,

		[StringValue(".WindowButtons.btnResizeHover.gif")]
		WindowResizeHover,

		[StringValue(".WindowButtons.btnResizeInactive.gif")]
		WindowResizeInactive,

		[StringValue(".ButtonBack.buttonBlueBack.png")]
		WindowButtonBackDarkBlue,

		[StringValue(".WindowButtons.btnToolClose.gif")]
		WindowToolClose,

		[StringValue(".WindowButtons.btnToolCloseHover.gif")]
		WindowToolCloseHover,

		#endregion


	}
}
