﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Ice.Web.UI;
using System.IO;
using System.Web.UI;
using Ice.Web.UI.Css;

namespace Ice.Web.Resources.Themes
{
	class DeepBlue : Aero
	{
		public override IceThemeEnum Theme { get { return IceThemeEnum.DeepBlue; } }
		public override string ButtonBackgroundImage { get { return IceScriptManager.CreateUrl(".DeepBlue.Images.btnback.png"); } }
		public override string ButtonBackgroundColor { get { return "#0E394F"; } }
		public override string ButtonBorderColor { get { return "#0E394F"; } }
		public override string ButtonTextColor { get { return "white"; } }
		public override string FrameColor { get { return "#D9E5F3"; } }
		public override string FrameBorderColor { get { return "#99BCE8"; } }
		public override string SplitBarHoverColor { get { return "silver"; } }
		public override string WindowFrameColor { get { return "#1A6F96"; } } // deepBlue

		protected override void WriteThemeCss(IceStyleSheet styleSheet)
		{
			base.WriteThemeCss(styleSheet);

		}

	}
}
