﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Linq.Expressions;
using Ice.Web.UI.Css.LINQ;

namespace Ice.Web.UI.Css
{
	public class IceMediaScreenRule : IceMediaRule
	{
		public IceMediaScreenRule(Expression<Func<MediaScreenSettings, bool>> predicate)
		{
			CssVisitor vis = new CssVisitor();
			string css = vis.Translate(predicate);
			base._mediaType = "screen and " + css;
		}

		public new IceMediaScreenRule AddToStyleSheet(IceStyleSheet sheet)
		{
			sheet.Add(this);
			return this;
		}
	}
}
